메뉴 건너뛰기

XE 푸시 앱

오랜만에 대대적으로 업그레이드 합니다. 

각종 오류를 해결하고 강력한 기능들이 추가되었습니다.

 

1) 소셜로그인만 사용가능 하도록 기능 추가하였습니다.

 

모듈 환경설정에서 

 

67.png

 

오직 소셜로그인만 사용 선택하시면 앱 최초 실행시 다음과 같은 로그인 창이 나옵니다.

 

_Screenshot_2016-05-28-12-39-16.png

 

그리고 소셜로그인으로 로그인해도 로그인이 풀리지 않도록 하였습니다.

 

 

 

 

 

 

2) 구독게시판 카테고리 접고 펴는 기능 추가

 

_Screenshot_2016-06-02-14-44-25.png    _Screenshot_2016-06-02-14-44-28.png   _Screenshot_2016-06-02-14-44-32.png

 

 

그리고 카테고리 6단까지 지원하도록 변경하였습니다. 

기존에는 카테고리 3단까지만 지원되며, 14.2버전부터 6단을 지원합니다.

따라서 게시판 카테고리를 4단 이상 사용할 경우 14.1버전 이하 사용자는 에러가 발생하니 사용시 주의해주시기 바랍니다.

 

그리고 모듈 환경설정에서 몇 단까지 기본적으로 펼쳐지게 할 것인지 정할 수 있습니다.

 

3.png

 

 

 

 

3) 누리고 결제 푸시 알림 기능 추가

 

사용자가 누리고 쇼핑몰에서 결제할 때 관리자에게 푸시 알림이 가고, 사용자에게도 결제완료 푸시 알림 또는 (무통장입금시) 입금정보 푸시 알림이 갑니다.

 

그동안 이 부분이 작동이 안되었는데, 이제 잘 작동합니다.

 

 

 

4) 등록기기 목록에서 검색 기능 오류 수정 및 삭제기능추가

 

4.png

 

 

 

5) 로그인사용자 앱 실행시 첫페이지 설정 기능 추가

 

아래의 모듈 환경설정에서

 

1.png

 

 

여기서 URL 설정하면 로그인된 회원만 앱실행시 해당 URL로 첫페이지 로딩됩니다.

 

 

 

 

 

6) 앱에서 외부페이지 나오도록 url 설정 기능 추가

 

기존 앱은 외부페이지 링크될 때 무조건 앱 기본 브라우저(크롬,네이버)를 호출하여 링크하였습니다. 그러나 모듈 환경설정에 이것을 조정할 수 있습니다.

 

 

5.png

 

여기 설정된 도메인에 대해서는 앱의 웹뷰에서 그대로 로딩이 됩니다. (단, 해당 외부페이지의 경우 상황에 따라 정상작동되지 않는 부분이 있을 수 있습니다.)

 

 

 

 

7) 그 외에도 다음과 같은 여러가지 오류를 해결하였습니다.

 

- 로그인 버튼을 눌러 로그인 한 후 이전페이지가 아닌 메인페이지로 돌아가던 문제 해결... 이제는 이전 페이지로 돌아감.

- 퀵메뉴 설정에 있는 XEIcon 링크 변동된 것 반영

- 에러로그 목록 수 줄임(람보님 PR)
- 인덱스 추가하여 검색속도 빠르게 함(람보님 PR)
- 일부서버에서 자체소켓방식 안되던 문제 해결(리퍼러주소 수정)
- 비밀글 또는 비밀글의 댓글이 달렸을 때 무조건 최고관리자에게 푸시 알림가던 문제 해결(구독상황에 따라 조건적으로 푸시하도록 변경)
- 각종 코드 오류 해결 및 수정(람보님 PR)
- 잠금activity 이동유연하게 하고 보안강화함
- 로그인 오류 원인 파악에 따라 로그인 로직 원래대로 변경
- 서버 DB삭제되었을 때 재로그인 과정 오류 해결 / 재동기화하도록 알림창 뜨게 함
 

--------------

 

오랜만에 업그레이드 하니 수정된 부분이 굉장히 많습니다. 

필히 업그레이드 해주시기 바랍니다.

그리고 모듈, 위젯, 앱소스 모두 업그레이드 해주시고, 꼭 관리자 페이지에서 '모듈 업그레이드' 버튼을 눌러주시고, 캐시파일재생성, 푸시앱 모듈 환경설정에서 '등록'버튼 눌러주세요.

 

이상입니다. 감사합니다. ^^

  • ?
    웹지기 2016.06.02 15:41
    Error:Execution failed for task ':app:processDebugGoogleServices'.
    > No matching client found for package name 'com.pomelove.app'

    위 에러가 뜹니다. 물론 복사해 놓은 파일은 예저부터 사용하던 파일입니다.
  • ?
    관리자 2016.06.02 15:45
    google-services.json파일을 제 메일로 보내주실 수 있으신가요?
  • ?
    웹지기 2016.06.02 15:46 SECRET

    "비밀글입니다."

  • ?
    관리자 2016.06.02 15:55
    앱 패키지명이 com.pomelove.com인가요? google-services파일을 잘못 만드셨네요... 사실 처음부터 제대로 만들어야만 합니다.
    이 파일을 사용하시려면 구글플레이 플러그인 및 gradle설정부분을 모두 이전 버전으로 사용하셔야 합니다.
    build.gradle(Module: app)에서 8.4.0버전 대신에 아래 버전을 사용하셔야 합니다.

    compile "com.google.android.gms:play-services:8.3.0"

    그리고 build.gradle(Project : appname) 에서

    classpath 'com.android.tools.build:gradle:2.1.0'
    classpath 'com.google.gms:google-services:2.1.0-beta3'

    이 부분을 아래와 같이 하셔야 할 것 같아요...

    classpath 'com.android.tools.build:gradle:1.5.0'
    classpath 'com.google.gms:google-services:1.5.0-beta2'
  • ?
    웹지기 2016.06.02 15:57
    google-services파일 수정은 안되는건가요?
  • ?
    관리자 2016.06.02 16:01
    네 안 됩니다. 꼼수로 어떤 무료 플러그인 설치하여 사용할 수 있다고 나와있는데, 제가 봐도 좀 복잡해보이네요... http://stackoverflow.com/questions/30772201/google-services-json-for-different-productflavors/34364376#34364376

    이전 버전 사용해도 앱 사용에 전혀 문제없으니 그냥 사용하셔도 됩니다.

    다만 새버전을 꼭 사용하시려면 google-services파일을 새로 api key도 새로 받으셔야 하고, 그러면 이전 버전 사용자는 앱을 최신버전으로 업그레이드 하기 전까지 푸시 알림을 받을 수 없습니다.
  • ?
    웹지기 2016.06.02 16:11
    기존앱으로 잘 오는데요?? 아직 앱을 제출하지 않아서 그런건가요??
  • ?
    관리자 2016.06.02 16:16
    앱제출과 상관없이 푸시 알림작동합니다.
    기존 앱 제작하신 파일에 Android_Menifest.xml파일과 java폴더 파일, layout폴더 파일, values폴더 파일, values-en폴더 파일, xml폴더 파일, drawable폴더 파일만 덮어쓰기 하셔서 제작하시면 됩니다.
  • ?
    웹지기 2016.06.02 16:19
    아니요. 지금 json 파일 새로 패키지명 맞춰서 다운로드 했구요. 이 상태로 앱빌드하니 정상입니다. 이렇게 하면 기존앱 사용자에게 푸시가 안간다고 하셔서요....
  • ?
    관리자 2016.06.02 16:23
    ??? 음... 무슨 말씀을 하시는 건지 이해가 되지 않아요...
    json파일 새로 다운받으셨으면 api key도 수정하셨을텐데, 그러면 기존 사용자는 알림을 받을 수 없게 되요...
  • ?
    웹지기 2016.06.02 16:23

    이파일의 api를 어디에 넣어야 하죠?? 기존 사용자가 영향을 받나요?

    같은 프로젝트로 여러개의 파일을 여러개의 패키지명으로 다운 받을수가 있던데요...

  • ?
    관리자 2016.06.02 16:27 Files첨부 (1)

    아래 그림의 api key를 말하는 것입니다.

    새로 패키지명 맞추어서 json파일 다운받을 때, api key가 변경되는 걸로 알고 있거든요... 이 api key를 모듈 설정에 입력하는 것이구요...

     

    1.png

     

  • ?
    웹지기 2016.06.02 16:28
    아.. 모듈 설정에 매칭이 안된다는 말씀이시군요. 그걸 깜빡 했네요. 아직 모듈은 건드리지 않았네요...
  • ?
    관리자 2016.06.02 16:30
    모듈 api key변경 안했는데, 새로 받은 json파일로 만든 앱에 푸시 알림이 오던가요?
  • ?
    웹지기 2016.06.02 16:31
    아니요. 그건 아직 안해봤습니다. 기존게 안간다고 해서 ... 그것만 확인했습니다.
  • ?
    웹지기 2016.06.02 16:34
    이 api 키도 저장해 두지 못햇네요 끙.......
  • ?
    관리자 2016.06.02 16:38
    위그림에서 다시 동일패키지명 입력하시면 값을 다시 확인하실수 있습니다
  • ?
    웹지기 2016.06.02 16:42
    그 api는 안바뀌는 듯 합니다!! 야호... joson 파일에 머지되는거 보니 한개의 프로젝트에서 여러개의 클라이언트 운영이 가능한가 보네요. 될거 같네요.
  • ?
    관리자 2016.06.02 17:20
    그럼 다행입니다. 그걸로 앱 제작하시면 될 듯 싶습니다. 그래도 모르니 충분히 테스트해보시고 출시해주세요~
  • ?
    웹지기 2016.06.02 16:26 SECRET

    "비밀글입니다."


List of Articles
번호 제목 글쓴이 날짜 조회 수
공지 [필독] 앱제작 관련 공지글입니다 관리자 2019.10.14 98
공지 (중요) 앱소스 비공개 정책 적용 예정(2018년 7월부터) 1 관리자 2018.06.13 1090
105 아이폰 앱 개발 잠정적 중단 안내 10 관리자 2016.10.20 412
104 모듈 11.6 / 앱소스 14.7버전 업그레이드 4 관리자 2016.09.29 316
103 그누보드 푸시앱 개발 완료!!! 9 관리자 2016.09.24 1131
102 모듈 11.5 / 앱소스 14.6 / 위젯 3.8 버전 업그레이드 안내 3 file 관리자 2016.09.06 282
101 모듈 11.4 / 앱소스 14.4 버전 업그레이드 안내! 13 file 관리자 2016.08.15 378
100 그누보드 용 푸시앱 제작 착수!! 11 관리자 2016.07.22 436
99 모듈 11.3버전 / 앱소스 14.3버전 업그레이드 안내!! 4 file 관리자 2016.07.06 314
98 깃허브 참여 안내 관리자 2016.06.24 561
97 xe 푸시앱 공식앱 오류로 인해 알림센터메시지가 2개가 중복되어 나오는 경우 해결방법 1 관리자 2016.06.24 235
96 마켓 구매자 라이센스 등록 및 정회원 등업 방법 안내 8 관리자 2016.06.24 367
95 GCM을 FCM으로 업그레이드하는 방법 안내 18 file 관리자 2016.06.21 12613
94 무료버전 업그레이드 안내 1 관리자 2016.06.03 229
» 모듈 11.2 / 앱소스 14.2 / 위젯 3.7버전 업그레이드 안내!!! 20 file 관리자 2016.06.02 264
92 모듈 11.1 / 앱소스 14.1 / 위젯 3.6 버전 업그레이드 안내 17 file 관리자 2016.05.19 284
91 다음 업그레이드 공지 40 관리자 2016.05.17 273
90 모듈 11.0 / 앱소스 14.0 업그레이드 안내 file 관리자 2016.05.09 217
89 13.8버전 긴급 패치 안내! 12 file 관리자 2016.05.02 239
88 프리미엄버전 가격 인상 및 라이센스 변경 안내(2016년 5월 1일 기준) 2 관리자 2016.05.01 479
87 모듈 10.9 / 앱소스 13.7버전 업그레이드 안내 6 file 관리자 2016.04.30 196
86 모듈 10.7 / 앱소스 13.6버전 업그레이드 안내 18 file 관리자 2016.04.19 222
Board Pagination Prev 1 2 3 4 5 6 7 8 9 Next
/ 9